Tristero Docs
API Reference

List margin positions

Get all margin positions for a wallet address.

GET
/wallets/{wallet}/margin-positions

Get all margin positions for a wallet address.

Authorization

ApiKeyAuth
X-API-Key<token>

API key for authentication (if required by deployment)

In: header

Path Parameters

wallet*string

Wallet address (checksum)

Match^0x[a-fA-F0-9]{40}$

Response Body

application/json

curl -X GET "https://api.tristero.com/v2/wallets/string/margin-positions"
[
  {
    "id": "string",
    "status": "open",
    "escrow_address": "string",
    "filler_address": "string",
    "taker_token_id": 0,
    "wallet_address": "string",
    "collateral_token": "string",
    "base_token": "string",
    "loan_token": "string",
    "collateral_amount": "string",
    "loan_amount": "string",
    "leverage_ratio": 0,
    "interest_rate_bps": 0,
    "opened_at": "2019-08-24T14:15:22Z"
  }
]